@ECHO OFF

SET HERE=%~dp0%/..

SET JAVA_OPTIONS="%JAVA_OPTIONS% -Xms64m -Xmx1024m -DBATCH_LOG4J_FOLDER=%HERE%/logs -Dlog4j.conf.file=%HERE%/conf/log4j.xml -Dpool.conf.file=%HERE/conf/mysql.properties"

SET CP=
forfiles /p %HERE%\lib /m *.jar /c "SET CP=%CP:@path"
java %JAVA_OPTIONS% -cp "%CP%" fr.gouv.finances.dgfip.xemelios.batch.BatchRunner "%HERE/conf/batch-conf.xml" %1